Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Header"s Fehler
#11
Hi,

ich habe da auch irgendeinen Fehler in der Art!

Ich habe bemerkt, daß bei den Umfragen die Anzeige der Ergebnisse und das Bearbeiten die komplette Datei (php) darstellte, also habe ich die poll.php nochmals geändert (hier im Forum gab's einen Beitrag dazu wegen Sicherheit), jetzt kommen zwar die Ergenisse und das Bearbeiten, aber zusätzlich habe ich folgende Fehlermeldung:
Code:
ite: http://www.mybboard.com * License: http://www.mybboard.com/eula.html * * $Id: polls.php 8
Warning: Cannot modify header information - headers already sent by (output started at /www/htdocs/w006670e/forum/polls.php:4) in /www/htdocs/w006670e/forum/inc/functions.php on line 800

Die Zeile 800 der inc/function.php lautet jedoch nur
Code:
}

Ich benutze noch in diesem Forum die 1.1.8 Version!

Kann mir bzw. uns da jemand weiter helfen?
Liebe Grüße
Dummuser (der seine verzweifelten Versuche, auf 1.4.4 usw. umzusteigen, nicht aufgegeben hat und vorerst mit der aktuellsten Version 1.4.4 (mit einigen Baustellen) doch nicht als Dummmumie in die MyBB-Annalen eingehen wird - DANKE an das ganze Team!
#12
Was hast du denn geändert? Wenn der Inhalt der Datei ausgegeben wird, wird die Datei nicht ausgeführt.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#13
Hi, Michael.

die Datei war anfangs "verhundst" - da fehlte also der
Code:
<?php
/**
* MyBB 1.0
* Copyright © 2005 MyBulletinBoard Group, All Rights Reserved
*
* Website: http://www.mybboard.com
* License: http://www.mybboard.com/eula.html
*
* $Id: polls.php 869 2005-10-25 11:26:52Z chris $
*/
davor, das habe ich geändert und gem. diesem Link noch die Datei ergänzt.

Oder soll ich mal komplett die von Dir dort angegebene Datei runterladen und ausprobieren, geht das mit 1.1.8 auch?
Liebe Grüße
Dummuser (der seine verzweifelten Versuche, auf 1.4.4 usw. umzusteigen, nicht aufgegeben hat und vorerst mit der aktuellsten Version 1.4.4 (mit einigen Baustellen) doch nicht als Dummmumie in die MyBB-Annalen eingehen wird - DANKE an das ganze Team!
#14
Nein, die Datei funktioniert nicht mit MyBB 1.1.8. Dass der Kommentar am Anfang der Datei fehlte kann aber nicht der Grund sein.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#15
Hi, Michael,

auch nicht das "<?php" - kann das nicht der Grund gewesen sein? Daher habe ich ja auch nur angepasst, anscheined aber stimmt doch noch was nicht so ganz!
Gibt es irgendwo noch ein jungfräuliche poll.php für 1.1.8?

Jetzt kommt ja alles wieder, aber nur diese doofe Warmitteilung steht noch ganz oben! BTW, was ist denn das "ite" ganz am Anfang??
Liebe Grüße
Dummuser (der seine verzweifelten Versuche, auf 1.4.4 usw. umzusteigen, nicht aufgegeben hat und vorerst mit der aktuellsten Version 1.4.4 (mit einigen Baustellen) doch nicht als Dummmumie in die MyBB-Annalen eingehen wird - DANKE an das ganze Team!
#16
Alte Versionen findest du hier: https://www.mybb.de/18-0-versionsarchiv.html

Ich habe mal nachgesehen, im Downloadpaket ist der Kommentar am Anfang der polls.php enthalten.

Edit: Die angefügte Datei sollte das Problem beheben.


Angehängte Dateien
.php   polls.php (Größe: 19,16 KB / Downloads: 0)

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#17
So, nun hat's mich auch erwischtToungue

Das Problem habe ich mittlerweile selbst gelöst.
Vielleicht hilft diese Beschreibung anderen Usern, denn es war doch etwas "tricky".

Ich wollte neue Buttons für zusätzlichen MyCode einfügen und bin dabei nach der Anleitung vorgegangen.

Nachdem ich fertig war, taucht folgende Fehlermeldung im Forum auf:
Zitat:Warning: Cannot modify header information - header already sent by (output startet at /srv/www/...../mein-forum/inc/languages/deutsch_du/global.lang.php:1) in /srv/www/...../mein-forum/inc/functions.php on line 1121
Weiterhin konnte man sich nicht ein- oder ausloggen (da der Cookie nicht gesetzt werden konnte).

Nun muss man nur die Fehlermeldung richtig interpretieren können, dachte ich mir und habe sofort irgendwelche Zeichen vor dem "<?php" in der Datei global.lang.php vermutet. Richtig war diese Vermutung schon, doch habe ich den Fehler nicht sofort beheben können, weil ich ihn einfach nicht finden konnte.

Es befand sich tatsächlich ein Zeichen vor "<?php", allerdings zeigte es mein (Windows-Standard-)Editor nicht an. Nach längerem erfolglosem Suchen, habe ich die Datei in einem anderen Editor geöffnet und konnte das Sonderzeichen sehen. Ich habe es aus der Datei entfernt und dann lief wieder alles korrekt.

Die Moral aus der Geschichte: Liebe Leute - falls ihr so einen Fehler habt und ihn nicht finden könnt, nehmt einfach mal einen anderen Editor. Es gibt genug freie Texteditoren im Internet.

Das Sonderzeichen muss sich übrigens beim Abspeichern oder Übertragen der Datei eingeschlichen haben. Ich habe ja drei Dateien auf die gleiche Weise bearbeitet und nur bei einer ist dieser Fehler aufgetreten.

Gruß
Boardie05
#18
Also ich hatten den selben Fehler gestern und habe es ganz einfach beheben können Wink.
Die Global.php erneut uploaden.

(Aber achte darauf, dass in dieser "neuen" Datei auch alle Änderungen eingebaut sein müssen, falls du welche eingepflegt hast).